corda / net.corda.contracts.testing / DummyDealContract

# DummyDealContract

`class DummyDealContract : Contract`

### Types

State | `data class State : DealState`

### Constructors

<init> | `DummyDealContract()`

### Properties

legalContractReference | `val legalContractReference: SecureHash` Unparsed reference to the natural language contract that this code is supposed to express (usually a hash of the contract's contents).

### Functions

verify | `fun verify(tx: TransactionForContract): Unit` Takes an object that represents a state transition, and ensures the inputs/outputs/commands make sense. Must throw an exception if there's a problem that should prevent state transition. Takes a single object rather than an argument so that additional data can be added without breaking binary compatibility with existing contract code.